> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/82.-vaicajums-atjaunot-abonementa-notikumus.md).

# 82. Vaicājums: atjaunot abonementa notikumus

Vienmēr ir laba prakse nodrošināt iespēju atjaunot/pārbaudīt piegādātos pret radītajiem abonementa notikumiem. Tāpēc GeoPard glabā visu radīto abonementa notikumu vēsturi **pēdējo 12 mēnešu**.&#x20;

Biežākie gadījumi:&#x20;

* Slikts interneta savienojums un notikumi netika piegādāti
* WebSocket klausītāja pārlaišana
* Pārbaudīt saņemto pret radīto notikumu konsekvenci

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<vietturis_lietotāja_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        darbība
        nodePath {
          entītija
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Atbalstītie ievades filtri:

* `dateFrom` kā datums un laiks ISO 8701 formātā (piem.: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` kā datums un laiks ISO 8701 formātā (piem.: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` kā "Lauka" UUID masīvs meklēšanai
* `fieldUuids` kā "Lauks" UUID masīvs meklēšanai&#x20;
* `userUuids` kā "User" UUID masīvs meklēšanai
* `eventUuids` kā abonementa "Notikuma" UUID masīvs

{% hint style="info" %}
Visi filtri darbojas kā loģiska **UN**.
{% endhint %}

{% hint style="info" %}
Katram abonementa notikumam ir atribūts `executionDate` saistīts ar nosūtīšanas brīdi AWSDateTime formātā, kas savietojams ar ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/82.-vaicajums-atjaunot-abonementa-notikumus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
